.no-purchase {
  padding: 0 24px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
}

.no-purchase-inner {
  max-width: var(--max-width);
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 64px;
  align-items: end;
}

.no-purchase-image {
  display: grid;
  justify-items: center;
  align-items: end;
}

.no-purchase-image img {
  max-height: 500px;
  width: auto;
  object-fit: contain;
  display: block;
}

.no-purchase-content {
  display: grid;
  gap: 16px;
  align-content: center;
  padding: 64px 0;
}

.no-purchase-content h2 {
  font-size: 32px;
  font-weight: 700;
  line-height: 1.2;
}

.no-purchase-content p {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.5;
}

@media (max-width: 768px) {
  .no-purchase {
    padding: 0 24px 0 24px;
  }

  .no-purchase-inner {
    grid-template-columns: 1fr;
    gap: 0;
    text-align: center;
  }

  .no-purchase-content {
    justify-items: center;
    padding-bottom: 0;
    padding-top: 0;
  }

  .no-purchase-content h2 {
    font-size: 26px;
  }

  .no-purchase-content p {
    font-size: 16px;
  }
  .no-purchase-image {
    order: 2;
  }
  .no-purchase-image img {
    max-height: 350px;
  }
}
